Page MenuHomePhabricator

[PowerPC] Add the Power10 XS[MAX|MIN]CQP instruction.
ClosedPublic

Authored by tingwang on Jan 24 2022, 4:27 AM.

Details

Summary

Add the Power 10 instruction XS[MAX|MIN]CQP.

This will enable the base instructions required by https://reviews.llvm.org/D117006.

Diff Detail

Event Timeline

tingwang created this revision.Jan 24 2022, 4:27 AM
tingwang requested review of this revision.Jan 24 2022, 4:27 AM
tingwang edited the summary of this revision. (Show Details)Jan 24 2022, 6:09 AM
shchenz added inline comments.Jan 24 2022, 5:40 PM
llvm/lib/Target/PowerPC/PPCInstrPrefix.td
2397

Should be put in the below block with Predicates = [IsISA3_1, HasVSX].

We also need one patch to move the above 4 VSX instructions to the same place.

tingwang added inline comments.Jan 24 2022, 6:19 PM
llvm/lib/Target/PowerPC/PPCInstrPrefix.td
2397

Sure. I will move the two XS[MAX|MIN]CQP under predicate [IsISA3_1, HasVSX]. Thanks!

Given what it was mentioned in D117006's code review that these Power10 instructions are put here temporarily, they probably will be relocated somewhere else in TD files once their locations are finally decided. Shall we leave them here for the moment?

tingwang added inline comments.Jan 24 2022, 6:22 PM
llvm/lib/Target/PowerPC/PPCInstrPrefix.td
2397

Sorry, it was ambiguous. I mean shall we leave the other 4 here for the moment?

shchenz added inline comments.Jan 24 2022, 6:27 PM
llvm/lib/Target/PowerPC/PPCInstrPrefix.td
2397

Yeah, leaving them for now sounds good to me.

tingwang updated this revision to Diff 402732.Jan 24 2022, 6:41 PM

Move the two instructions XS[MAX|MIN]CQP under predicate [IsISA3_1, HasVSX]

shchenz accepted this revision.Jan 25 2022, 6:02 AM

LGTM. Thanks for adding the instructions.

This revision is now accepted and ready to land.Jan 25 2022, 6:02 AM
amyk accepted this revision.Jan 25 2022, 6:20 AM
amyk added a subscriber: amyk.

LGTM, too.

This revision was landed with ongoing or failed builds.Jan 26 2022, 8:01 PM
This revision was automatically updated to reflect the committed changes.